%define upstream_name    LaTeX-Table
%define upstream_version v1.0.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Automatic generation of LaTeX tables
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LaTeX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Pluggable) => 4.800.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Policy::FollowPBP)
BuildRequires: perl(MooseX::FollowPBP)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Template)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Text::CSV)
BuildRequires: perl(Text::Wrap)
BuildRequires: perl(version)

BuildArch: noarch


%description
LaTeX makes professional typesetting easy. Unfortunately, this is not
entirely true for tables and the standard LaTeX table macros have a rather
limited functionality. This module supports many CTAN packages and hides
the complexity of using them behind an easy and intuitive API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes LICENSE META.yml
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/csv2pdf
/usr/bin/ltpretty


%changelog
* Sat Dec 21 2013 sander85 <sander85> 1.0.6-4.mga4
+ Revision: 559561
- Fix BRs

* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-3.mga4
+ Revision: 512527
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 368937
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.0.6-1.mga1
+ Revision: 36381
- mageia rebuild
- imported package perl-LaTeX-Table

